import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckLade/` + url, ...arg)

/**
 * 车辆装卸货管理表Api接口管理器
 *
 * @author xiang
 * @date  2023/10/16 14:18
 **/
export default {
	// 获取车辆装卸货管理表分页
	depotTruckLadePage(data) {
		return request('page', data, 'get')
	},
	// 获取车辆装卸货管理表列表
	depotTruckLadeList(data) {
		return request('list', data, 'get')
	},
	// 提交车辆装卸货管理表表单 edit为true时为编辑，默认为新增
	depotTruckLadeSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 上传一次照片
	depotTruckLadeAddOnePic(data) {
		return request('addOnePic', data)
	},
	// 上传二次照片
	depotTruckLadeAddTwoPic(data) {
		return request('addTwoPic', data)
	},
	// 删除车辆装卸货管理表
	depotTruckLadeDelete(data) {
		return request('delete', data)
	},
	// 获取车辆装卸货管理表详情
	depotTruckLadeDetail(data) {
		return request('detail', data, 'get')
	}
}
